searchData={"items":[{"type":"module","title":"Mnemoniac","doc":"Mnemoniac is an implementation of BIP-39 which describes generation of mnemonic codes or mnemonic sentences - a group of easy to remember words - for the generation of deterministic wallets.\n\nSee https://github.com/bitcoin/bips/blob/master/bip-0039.mediawiki","ref":"Mnemoniac.html"},{"type":"function","title":"Mnemoniac.create_mnemonic/1","doc":"Create a random mnemonic with the provided number of words. By default, the number of words is 24.\nAllowed numbers of words are 3, 6, 12, 15, 18, 24","ref":"Mnemoniac.html#create_mnemonic/1"},{"type":"function","title":"Examples - Mnemoniac.create_mnemonic/1","doc":"iex> {:ok, mnemonic} = Mnemoniac.create_mnemonic()\n    iex> mnemonic |> String.split(\" \") |> Enum.count()\n    24\n\n    iex> {:ok, mnemonic} = Mnemoniac.create_mnemonic(12)\n    iex> mnemonic |> String.split(\" \") |> Enum.count()\n    12\n\n    iex> Mnemoniac.create_mnemonic(10)\n    {:error, :invalid_number}","ref":"Mnemoniac.html#create_mnemonic/1-examples"},{"type":"function","title":"Mnemoniac.create_mnemonic!/1","doc":"Similar to `create_mnemonic/1`, but fails the number of words is not supported","ref":"Mnemoniac.html#create_mnemonic!/1"},{"type":"function","title":"Examples - Mnemoniac.create_mnemonic!/1","doc":"iex> mnemonic = Mnemoniac.create_mnemonic!()\n    iex> mnemonic |> String.split(\" \") |> Enum.count()\n    24\n\n    iex> mnemonic = Mnemoniac.create_mnemonic!(12)\n    iex> mnemonic |> String.split(\" \") |> Enum.count()\n    12\n\n    iex> Mnemoniac.create_mnemonic!(10)\n    ** (ArgumentError) Number of words 10 is not supported, please use one of the [3, 6, 12, 15, 18, 21, 24]","ref":"Mnemoniac.html#create_mnemonic!/1-examples"},{"type":"function","title":"Mnemoniac.create_mnemonic_from_entropy/1","doc":"Create a mnemonic from entropy. The supported byte sizes are 16, 20, 24, 32","ref":"Mnemoniac.html#create_mnemonic_from_entropy/1"},{"type":"function","title":"Examples - Mnemoniac.create_mnemonic_from_entropy/1","doc":"iex> Mnemoniac.create_mnemonic_from_entropy(<<6, 197, 169, 93, 98, 210, 82, 216, 148, 177, 1, 251, 142, 15, 154, 85, 140, 0, 13, 202,234, 160, 129, 218>>)\n    {:ok, \"almost coil firm shield cement hobby fan cage wine idea track prison scale alone close favorite limb still\"}\n\n    iex> Mnemoniac.create_mnemonic_from_entropy(<<6, 197, 169, 93, 98, 210, 82, 216, 148, 177, 1, 251, 142, 15, 154, 85, 140, 0, 13, 202,234, 160, 129, 218, 6, 197, 169, 93, 98, 210, 82, 216>>)\n    {:ok, \"almost coil firm shield cement hobby fan cage wine idea track prison scale alone close favorite limb south ramp famous stomach hard enter author\"}\n\n    iex> Mnemoniac.create_mnemonic_from_entropy(<<1>>)\n    {:error, :invalid_entropy}","ref":"Mnemoniac.html#create_mnemonic_from_entropy/1-examples"},{"type":"function","title":"Mnemoniac.create_mnemonic_from_entropy!/1","doc":"Similar to `create_mnemonic_from_entropy/1`, but fails the entropy has unsupported byte size","ref":"Mnemoniac.html#create_mnemonic_from_entropy!/1"},{"type":"function","title":"Examples - Mnemoniac.create_mnemonic_from_entropy!/1","doc":"iex> Mnemoniac.create_mnemonic_from_entropy!(<<6, 197, 169, 93, 98, 210, 82, 216, 148, 177, 1, 251, 142, 15, 154, 85, 140, 0, 13, 202,234, 160, 129, 218>>)\n    \"almost coil firm shield cement hobby fan cage wine idea track prison scale alone close favorite limb still\"\n\n    iex> Mnemoniac.create_mnemonic_from_entropy!(<<1>>)\n    ** (ArgumentError) Entropy size is invalid","ref":"Mnemoniac.html#create_mnemonic_from_entropy!/1-examples"},{"type":"function","title":"Mnemoniac.entropy_bit_sizes/0","doc":"Return supported entopy bit sizes","ref":"Mnemoniac.html#entropy_bit_sizes/0"},{"type":"function","title":"Mnemoniac.valid_mnemonic?/2","doc":"Validates a mnemonic","ref":"Mnemoniac.html#valid_mnemonic?/2"},{"type":"function","title":"Examples - Mnemoniac.valid_mnemonic?/2","doc":"iex> Mnemoniac.valid_mnemonic?(\"leaf bitter canoe cat decade aim history cricket sniff subject culture diamond liberty forest voice thing limb lounge close winner fine cake catalog silent\")\n    true\n\n    iex> Mnemoniac.valid_mnemonic?(\"word\")\n    false\n\n    iex> Mnemoniac.valid_mnemonic?([\"muffin\", \"play\", \"hurt\", \"fee\", \"trip\", \"crack\", \"doll\", \"expose\", \"make\", \"social\", \"learn\", \"lesson\"])\n    true","ref":"Mnemoniac.html#valid_mnemonic?/2-examples"},{"type":"function","title":"Mnemoniac.word_numbers/0","doc":"Return supported numbers of words that can be used for mnemonic generation","ref":"Mnemoniac.html#word_numbers/0"},{"type":"function","title":"Mnemoniac.word_numbers_to_entropy_bits/0","doc":"Return a map of word numbers to entropy bits.","ref":"Mnemoniac.html#word_numbers_to_entropy_bits/0"},{"type":"function","title":"Mnemoniac.words/0","doc":"Return all 2048 words used for mnemonic generation","ref":"Mnemoniac.html#words/0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}